﻿@model Heir
@{
    List<SelectListItem> ClientType = ViewBag.ClientType;
}
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id>0?"Edit" :"Add") Heir</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form id="heirFrm" asp-action="saveheir" class="form fv-plugins-bootstrap fv-plugins-framework" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteHeir">
            <div class="modal-body">
                <input asp-for="Guid" />
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="FirstName"></label>
                            <input asp-for="FirstName" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="FirstName" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="MiddleInitial"></label>
                            <input asp-for="MiddleInitial" class="form-control form-control-lg capitalize">
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="LastName"></label>
                            <input asp-for="LastName" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="LastName" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="DateOfBirth"></label>
                            <div class="input-group date datepicker-control">
                                <input type="text" asp-for="DateOfBirth" asp-format="{0:MM'/'dd'/'yyyy}" class="form-control form-control-lg datemask">
                                <div class="input-group-append">
                                    <span class="input-group-text">
                                        <i class="far fa-calendar-alt"></i>
                                    </span>
                                </div>
                            </div>
                            <span asp-validation-for="DateOfBirth" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="HeirOf"></label>
                            <select class="form-control form-control-lg" asp-for="HeirOf">
                                @foreach (var item in ClientType)
                                {
                                    <option value="@item.Value" data-subtext="@item.Group?.Name" selected="@item.Selected">@item.Text</option>
                                }
                            </select>
                            <span asp-validation-for="HeirOf" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="Relationship"></label>
                            <select class="form-control form-control-lg" asp-for="Relationship" asp-items="Html.GetEnumSelectList<RelationshipEnum>()" title="Choose one of the following...">
                            </select>
                            <span asp-validation-for="Relationship" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-2">
                        <div class="form-group">
                            <div class="d-flex">
                                <label asp-for="Inheritance" class="switch-label form-check-label"></label>
                                <span>
                                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" title="Do you plan to leave an inheritance to this heir?" style="font-size:1rem"></i>
                                </span>
                            </div>
                            <div>
                                <span class="switch switch-outline switch-icon switch-custom switch-sm">
                                    <label>
                                        <input type="checkbox" asp-for="Inheritance">
                                        <span></span>
                                    </label>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="form-group">
                            <label asp-for="SpecialNeeds" class="switch-label form-check-label"></label>
                            <div>
                                <span class="switch switch-outline switch-icon switch-custom switch-sm">
                                    <label>
                                        <input type="checkbox" asp-for="SpecialNeeds">
                                        <span></span>
                                    </label>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_submit_adviser">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script id="heir-template" type="text/html">
    {{if action=="add"}}
    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 heir-info-div d-flex" id="heirinfo-${heirInfo.guid}">
        {{/if}}
        <div class="card card-custom gutter-b shadow-none heir-card bg-gray-100 border border-danger w-100">
            <div class="card-header bg-danger heir-header">
                <div class="card-title m-0">
                    <h3 class="card-label font-size-h4">
                        <span class="font-weight-bold font-size-h4 text-white">${heirInfo.firstName} ${heirInfo.middleInitial} ${heirInfo.lastName}</span>
                    </h3>
                </div>
                <div class="card-toolbar m-0">
                    <div class="example-tools">
                        <button class="btn btn-icon btn-sm btn-heir-edit" data-guid="${heirInfo.guid}">
                            <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                        </button>
                        <button class="btn btn-icon btn-sm btn-heir-delete" data-guid="${heirInfo.guid}">
                            <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="font-size-h6">
                    <div class="d-flex align-items-start">
                        <span class="col-md-6 text-dark font-weight-bold p-0">Heir of:</span>
                        <span class="col-md-6 p-0">${heirInfo.heirOfWithData}</span>
                    </div>
                    <div class="d-flex align-items-center">
                        <span class="col-md-6 text-dark font-weight-bold p-0">Date Of Birth:</span>
                        <span class="col-md-6 p-0">${heirInfo.dateOfBirthFormated}</span>
                    </div>
                    <div class="d-flex align-items-start">
                        <span class="col-md-6 text-dark font-weight-bold p-0">Relationship:</span>
                        <span class="col-md-6 p-0">${heirInfo.relationshipString}</span>
                    </div>
                    <div class="d-flex align-items-center">
                        <span class="col-md-6 text-dark font-weight-bold p-0">Inheritance:</span>
                        <span class="col-md-6 p-0">
                            ${getActiveOrNot(heirInfo.inheritance)}
                        </span>
                    </div>
                    <div class="d-flex align-items-center">
                        <span class="col-md-6 text-dark font-weight-bold p-0">Special Needs:</span>
                        <span class="col-md-6 heirspecialneed p-0">
                            ${getActiveOrNot(heirInfo.specialNeeds)}
                        </span>
                    </div>
                </div>
            </div>
        </div>
        {{if action=="add"}}
    </div>
    {{/if}}
</script>